export class PopUpMgr {
    static actionsListMap;
    static init() {
        PopUpMgr.actionsListMap = {};
        PopUpMgr.actionsListMap.Global = new Array();
        PopUpMgr.actionsListMap.League = new Array();
        PopUpMgr.actionsListMap.SprintChapter = new Array();
        PopUpMgr.actionsListMap.ResultView = new Array();
    }

    static registerAction(viewType, action, target = null) {
        const actionList = PopUpMgr.actionsListMap[viewType];
        if (actionList == null) {
            cc.log("actionLis == nil!!! viewType == " + viewType);
            return;
        }
        actionList.push({
            action,
            target,
        });
    }

    static doPopAction(viewType) {
        let actionList = PopUpMgr.actionsListMap[viewType];
        if (actionList == null) {
            cc.log("actionLis == nil!!! viewType == " + viewType);
            return false;
        }
        if (actionList.length > 0) {
            const act = actionList[0];
            SafeCall(act.target, act.action);
            remove(actionList, act);
            return true;
        }

        actionList = PopUpMgr.actionsListMap.Global;
        if (actionList.length > 0) {
            const act = actionList[0];
            SafeCall(act.target, act.action);
            remove(actionList, act);
            return true;
        }
        return false;
    }

    static clear() {
        PopUpMgr.init();
    }
}
