import BaseScene from "../scene/BaseScene";

export class GameGlobal {
    static scene: BaseScene = null;      // 当前场景[:BaseScene]
    static channelId = 1;
    static adChannelId = "OFFICIAL";
    static currentLanguage = "CN";
    static uid = 0;
    static clientVersion = "1.1.0";
    static serverTime = null;
    static serverTimeOffset = null;
    static cVTimeOffset = null;
    static server = null;
    static configVersion = null;
    static inviterId = null;
    static invitedCheckpointId = null;
    static invitedShareType = null;
    static timeScale: number = 1;

    static getChannelId() {

        if (cc.sys.platform === cc.sys.WECHAT_GAME) {
            GameGlobal.channelId = 1;
            return;
        }
        GameGlobal.channelId = 0;
    }

    static isTestMode() {
        return cc.sys.platform == cc.sys.DESKTOP_BROWSER;
    }
}

export const GameType = {
    QingMa: 0,
    ChuanMa: 1,
};

export const TileType = {
    Tiao: "tiao",
    Bing: "bing",
    Wan: "wan",
};
