export default class ArrayUtil {

    static randomArrayValue(array) {
        let index = Math.floor(Math.random() * array.length);
        if (index > array.length) {
            index = array.length;
        }
        return array[index];
    }

    static randomMapKey(map) {
        let keys = [];
        for (let key of Object.keys(map)) {
            keys.push(key);
        }
        return ArrayUtil.randomArrayValue(keys);
    }

    static randomMapValue(map) {
        return map[ArrayUtil.randomMapKey(map)];
    }

    static arrayContains(array: any[], element: any): boolean {
        if (array == null) {
            return false;
        }
        for (let i = 0; i < array.length; i++) {
            if (array[i] == element) {
                return true;
            }
        }
        return false;
    }
}
