
const { ccclass, property } = cc._decorator;

export class UIType {
    IsLobbyView = false;
    UIForms_Type = UIFormsType.Normal;
    UIForms_LucencyType = UIFormsLucencyType.Impenetrable;
    NoHidePopUp = false;
    LinkUIName = "";
    PopType = "";
}

export const UIFormsType = {
    Normal: 0,
    PopUp: 1,
    Front: 2,
    Waiting: 3,
};

export const UIFormsLucencyType = {
    Lucency: 0,            // 完全透明,但不能穿透。
    Impenetrable: 1,       // 低透明度,不能穿透,
    Penetrate: 2,          // 可以穿透
};

export class SysDefine {
    static SYS_UIMASK_LUCENCY_COLOR_RGB = 255 / 255;
    static SYS_UIMASK_LUCENCY_COLOR_A = 0;

    static SYS_UIMASK_IMPENETRABLE_COLOR_RGB = 0;
    static SYS_UIMASK_IMPENETRABLE_COLOR_A = 220;
}
